version: '3.7'

services:
  wingtel:
    image: wingtel-image
    build: .
    volumes:
      - ./:/src
    ports:
      - 8001:8000
    depends_on:
      - app_db
    command: python manage.py runserver 0.0.0.0:8000
    networks:
      - app

  app_db:
    container_name: app_db
    hostname: app_db
    image: library/postgres:12
    environment:
      - POSTGRES_USER=app
      - POSTGRES_PASSWORD=app
      - POSTGRES_DB=app_db
    volumes:
      - wingtel_db_data:/var/lib/postgresql/data
    ports:
      - 5433:5432
    networks:
      - app

volumes:
  wingtel_db_data:
    driver: "local"

networks:
  app: